/* mac_filter.js - API library for MAC Filter configuration */

/* Copyright 2010 TeamF1, Inc. */

/*
modification history 
------------------------
01a,5OCT10,mvb  written. 
*/

function macFilterValidate ()
    {
    var txtFieldIdArr = new Array ();    
    txtFieldIdArr[0] = "txtMacFilterMacAddr,"+ document.getElementById('hdMacFormatErr').value;
    if (txtFieldArrayCheck (txtFieldIdArr) == false)
         return false;

    var macObj = document.getElementById('txtMacFilterMacAddr');
    if (!macObj || macObj.disabled) return true;
    if (!(macAddrValidate (macObj.value, true, document.getElementById('hdMacAddrErr').value+':', '')))
        {
        macObj.focus ();
        return false;
        }
    var maxLimitObj = document.getElementById ('hdMaxLimitVal');
    var maxLimitVal = parseInt (maxLimitObj.value, 10);
    if(maxCountCheck ('hdMacFilterCount', maxLimitVal, 'tblErrMsg') == false)
		return false;
    return true;
    }
function macFilterInit ()
	{
	var selValue = radioCheckedValueGet ('MACFiltering.MACFilterEnable');
	if (!selValue) return;
	switch (parseInt(selValue, 10))
		{
		case 0:	/* NO */
			fieldStateChangeWr ('selPolicyMACAddresses','','','');
			break;
		case 1:	/* YES */
			fieldStateChangeWr ('', '', 'selPolicyMACAddresses', '');
		}

	}
	
function macFilterSourceMacInit ()
	{
	var selValue = document.getElementById('hdMacFilterEnable');
	if (!selValue) return;
	switch (parseInt(selValue.value, 10))
		{
		case 0:	/* NO */
			fieldStateChangeWr ('','tblMacFilterBlockedMacAddr tblMacFilterBlockedMacAddrConfig','','');
			break;
		case 1:	/* YES */
			fieldStateChangeWr ('', '', '', 'tblMacFilterBlockedMacAddr tblMacFilterBlockedMacAddrConfig');
		}

	}
